TESTING/LIN/cptt01.f(3)

NAME
TESTING/LIN/cptt01.f

SYNOPSIS

  Functions/Subroutines
subroutine cptt01 (n, d, e, df, ef, work, resid)
CPTT01

Function/Subroutine Documentation

  subroutine cptt01 (integer n, real, dimension( * ) d, complex, dimension( * ) e, real, dimension( * ) df, complex, dimension( * ) ef, complex, dimension( * ) work, real resid)

CPTT01

Purpose:

     CPTT01 reconstructs a tridiagonal matrix A from its L*D*L'
     factorization and computes the residual
        norm(L*D*L' - A) / ( n * norm(A) * EPS ),
     where EPS is the machine epsilon.

Parameters
    N

              N is INTEGER
              The order of the matrix A.

    D

              D is REAL array, dimension (N)
              The n diagonal elements of the tridiagonal matrix A.

    E

              E is COMPLEX array, dimension (N-1)
              The (n-1) subdiagonal elements of the tridiagonal matrix A.

    DF

              DF is REAL array, dimension (N)
              The n diagonal elements of the factor L from the L*D*L'
              factorization of A.

    EF

              EF is COMPLEX array, dimension (N-1)
              The (n-1) subdiagonal elements of the factor L from the
              L*D*L' factorization of A.

    WORK

              WORK is COMPLEX array, dimension (2*N)

    RESID

              RESID is REAL
              norm(L*D*L' - A) / (n * norm(A) * EPS)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 91 of file cptt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.